Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01701 Crash/Freeze Critical (emulation) Always Apr 17, 2008, 10:53 Jan 15, 2011, 01:16
Tester haynor666 View Status Public Platform
Assigned To Haze Resolution Fixed OS
Status [?] Resolved Driver namcofl.cpp
Version 0.124u2 Fixed in Version 0.137u1 Build
Summary 01701: speedrcr: Cannot remember calibration, MAME hangs after resets.
Description Game does not remember calibration, always ask to hit test switch, hangs sometimes after resets with BRK at PC=000002
Steps To Reproduce Run game, try to cailbrate then reset game or restart MAME, still game ask to hit test switch. Reset four times.
Additional Information Backtrace of "BRK at PC=000002"
Program received signal SIGTRAP, Trace/breakpoint trap.
0x77f9193d in ?? ()
(gdb) bt full
#0  0x77f9193d in ?? ()
No symbol table info available.
#1  0x0119f0e0 in osd_break_into_debugger (
    message=0x27cbb50 "BRK at PC=000002") at src/osd/windows/winmisc.c:62
No locals.
Backtrace stopped: frame did not save the PC
Flags
Regression Version
Affected Sets / Systems speedrcr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.00668
Fujix
Administrator
Apr 17, 2008, 12:25
edited on: Apr 17, 2008, 15:35
Calibration is saved correctly. MAME doesn't save nv and cfg unless you quit MAME properly. Try quitting MAME just after the calibration before it hangs.

I confirmed MAME's freeze just after the title screen or some seconds after starting the game. Also I experienced some crashes on the same places.
Anyway the work of the game is inconsistent.
User avatar
No.00674
Tafoid
Administrator
Apr 17, 2008, 15:41
I was able to, after a while, get both reports of freezing and crashing duplicated. The game right now is squirrelly - at best... Setting to confirmed.
User avatar
No.03892
Canim
Senior Tester
Mar 6, 2009, 03:51
NVram as said is properly stored. The only thing that's left is the unnormal behaviour of the reset. F3 works more like a soft-reset that's always seen after a calibration cause you always get back to the service screen. I have to close the game and restart it then you get ingame. But that's for all games in the namcofl driver.
Maybe this can be closed and a new report should be filed cause of the reset probs in namcofl.
User avatar
No.07079
M.A.S.H.
Senior Tester
Jan 15, 2011, 01:16
This bug was fixed in MAME 0.137u1:
Added default NVRAM for Namco FL games and some Namco System 2 games
[David Haywood]